
from celery import Celery
import random

def random_task(name, data):
    app = Celery('tasks', broker='pyamqp://guest@localhost//')
    
    @app.task
    def process_data(data):
        # Simulating some processing
        return data * 2
    
    result = process_data.delay(data)
    return result.get(timeout=10)

